## qtwebkit-opensource-src 5.1.1

=== Tools/CMakeLists.txt ===
IF (ENABLE_WEBKIT2)
    ADD_SUBDIRECTORY(WebKitTestRunner)
ENDIF ()

IF ("${PORT}" STREQUAL "Efl")
    ADD_SUBDIRECTORY(EWebLauncher/ControlTheme)

    IF (ENABLE_WEBKIT)
        ADD_SUBDIRECTORY(DumpRenderTree/efl)
        ADD_SUBDIRECTORY(EWebLauncher)
    ENDIF ()

    IF (ENABLE_WEBKIT2 AND ELEMENTARY_FOUND)
        ADD_SUBDIRECTORY(MiniBrowser/efl)
    ENDIF ()
    ADD_SUBDIRECTORY(DumpRenderTree/TestNetscapePlugIn)
ELSEIF ("${PORT}" STREQUAL "WinCE")
    ADD_SUBDIRECTORY(WinCELauncher)
ENDIF()

IF (ENABLE_WEBKIT2 AND ENABLE_API_TESTS)
    ADD_SUBDIRECTORY(TestWebKitAPI)
ENDIF()

=== Source/WTF/CMakeLists.txt ===
ADD_SUBDIRECTORY(wtf)

=== Source/WTF/wscript ===
#! /usr/bin/env python

# Copyright (C) 2012 Kevin Ollivier  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
#
# WTF build script for the waf build system

import commands

from settings import *

def build(bld):

    import Options

    wtf_excludes = []
    wtf_exclude_patterns = get_port_excludes(Options.options.port)
    wtf_exclude_patterns.append('*None.cpp')

    if Options.options.port == "wx":
        if building_on_win32:
            wtf_excludes += ['OSAllocatorPosix.cpp', 'ThreadingPthreads.cpp']

    bld.env.LIBDIR = output_dir
    full_dirs = get_dirs_for_features(wtf_dir, features=[Options.options.port.lower()], dirs=wtf_dirs)
    abs_dirs = []
    for adir in full_dirs:
        abs_dirs.append(os.path.join(wtf_dir, adir))

    wtf_excludes.extend(get_excludes_in_dirs(abs_dirs, wtf_exclude_patterns))

    includes = common_includes + full_dirs + [output_dir]

    if sys.platform.startswith('darwin'):
        includes.append(os.path.join(wtf_dir, 'icu'))

    wtf = bld.new_task_gen(
        features = 'cc cxx cstaticlib',
        includes = '. .. assembler ../WTF ' + ' '.join(includes),
        defines = ['BUILDING_WTF'],
        target = 'wtf',
        uselib = 'WX ICU ' + get_config(),
        uselib_local = '',
        install_path = output_dir)

    wtf.find_sources_in_dirs(full_dirs, excludes = wtf_excludes)

=== Source/WebKit/CMakeLists.txt ===
SET(WebKit_INCLUDE_DIRECTORIES
    "${WEBKIT_DIR}"
    "${WEBCORE_DIR}"
    "${WEBCORE_DIR}/Modules/intents"
    "${WEBCORE_DIR}/Modules/networkinfo"
    "${WEBCORE_DIR}/Modules/webdatabase"
    "${WEBCORE_DIR}/accessibility"
    "${WEBCORE_DIR}/bindings/generic"
    "${WEBCORE_DIR}/bindings/js"
    "${WEBCORE_DIR}/bindings"
    "${WEBCORE_DIR}/bridge"
    "${WEBCORE_DIR}/bridge/c"
    "${WEBCORE_DIR}/bridge/jsc"
    "${WEBCORE_DIR}/css"
    "${WEBCORE_DIR}/dom"
    "${WEBCORE_DIR}/dom/default"
    "${WEBCORE_DIR}/editing"
    "${WEBCORE_DIR}/history"
    "${WEBCORE_DIR}/html"
    "${WEBCORE_DIR}/html/shadow"
    "${WEBCORE_DIR}/inspector"
    "${WEBCORE_DIR}/loader"
    "${WEBCORE_DIR}/loader/appcache"
    "${WEBCORE_DIR}/loader/icon"
    "${WEBCORE_DIR}/loader/cache"
    "${WEBCORE_DIR}/page"
    "${WEBCORE_DIR}/page/animation"
    "${WEBCORE_DIR}/platform"
    "${WEBCORE_DIR}/platform/animation"
    "${WEBCORE_DIR}/platform/graphics"
    "${WEBCORE_DIR}/platform/graphics/filters"
    "${WEBCORE_DIR}/platform/graphics/harfbuzz"
    "${WEBCORE_DIR}/platform/graphics/harfbuzz/ng"
    "${WEBCORE_DIR}/platform/graphics/opengl"
    "${WEBCORE_DIR}/platform/graphics/transforms"
    "${WEBCORE_DIR}/platform/network"
    "${WEBCORE_DIR}/platform/sql"
    "${WEBCORE_DIR}/platform/text"
    "${WEBCORE_DIR}/plugins"
    "${WEBCORE_DIR}/rendering"
    "${WEBCORE_DIR}/rendering/style"
    "${WEBCORE_DIR}/storage"
    "${WEBCORE_DIR}/svg"
    "${WEBCORE_DIR}/svg/graphics"
    "${WEBCORE_DIR}/svg/properties"
    "${WEBCORE_DIR}/workers"
    "${JAVASCRIPTCORE_DIR}"
    "${JAVASCRIPTCORE_DIR}/ForwardingHeaders"
    "${JAVASCRIPTCORE_DIR}/API"
    "${JAVASCRIPTCORE_DIR}/assembler"
    "${JAVASCRIPTCORE_DIR}/bytecode"
    "${JAVASCRIPTCORE_DIR}/bytecompiler"
    "${JAVASCRIPTCORE_DIR}/disassembler"
    "${JAVASCRIPTCORE_DIR}/dfg"
    "${JAVASCRIPTCORE_DIR}/heap"
    "${JAVASCRIPTCORE_DIR}/debugger"
    "${JAVASCRIPTCORE_DIR}/interpreter"
    "${JAVASCRIPTCORE_DIR}/jit"
    "${JAVASCRIPTCORE_DIR}/llint"
    "${JAVASCRIPTCORE_DIR}/parser"
    "${JAVASCRIPTCORE_DIR}/profiler"
    "${JAVASCRIPTCORE_DIR}/runtime"
    "${WTF_DIR}"
    "${DERIVED_SOURCES_WEBCORE_DIR}"
    "${CMAKE_BINARY_DIR}"
)

IF (WTF_USE_SOUP)
  LIST(APPEND WebKit_INCLUDE_DIRECTORIES "${WEBCORE_DIR}/platform/network/soup")
ENDIF ()

IF (WTF_USE_CURL)
  LIST(APPEND WebKit_INCLUDE_DIRECTORIES "${WEBCORE_DIR}/platform/network/curl")
ENDIF ()

SET(WebKit_LIBRARIES
    ${WebCore_LIBRARY_NAME}
)

WEBKIT_INCLUDE_CONFIG_FILES_IF_EXISTS()

ADD_DEFINITIONS(-DBUILDING_WebKit)
INCLUDE_DIRECTORIES(${WebKit_INCLUDE_DIRECTORIES})
ADD_LIBRARY(${WebKit_LIBRARY_NAME} ${WebKit_LIBRARY_TYPE} ${WebKit_SOURCES})
ADD_DEPENDENCIES(${WebKit_LIBRARY_NAME} ${WebCore_LIBRARY_NAME})
TARGET_LINK_LIBRARIES(${WebKit_LIBRARY_NAME} ${WebKit_LIBRARIES})
SET_TARGET_PROPERTIES(${WebKit_LIBRARY_NAME} PROPERTIES FOLDER "WebKit")
SET_TARGET_PROPERTIES(${WebKit_LIBRARY_NAME} PROPERTIES LINK_INTERFACE_LIBRARIES "")

IF (WebKit_LINK_FLAGS)
    ADD_TARGET_PROPERTIES(${WebKit_LIBRARY_NAME} LINK_FLAGS "${WebKit_LINK_FLAGS}")
ENDIF ()

IF (VERSION_SCRIPT)
    ADD_TARGET_PROPERTIES(${WebKit_LIBRARY_NAME} LINK_FLAGS "${VERSION_SCRIPT}")
ENDIF ()

SET_TARGET_PROPERTIES(${WebKit_LIBRARY_NAME} PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
INSTALL(TARGETS ${WebKit_LIBRARY_NAME} DESTINATION "${LIB_INSTALL_DIR}")

=== Source/WebKit2/CMakeLists.txt ===
SET(WebKit2_INCLUDE_DIRECTORIES
    "${WEBKIT2_DIR}"
    "${WEBKIT2_DIR}/Platform"
    "${WEBKIT2_DIR}/Platform/CoreIPC"
    "${WEBKIT2_DIR}/PluginProcess"
    "${WEBKIT2_DIR}/Shared"
    "${WEBKIT2_DIR}/Shared/API"
    "${WEBKIT2_DIR}/Shared/API/c"
    "${WEBKIT2_DIR}/Shared/CoordinatedGraphics"
    "${WEBKIT2_DIR}/Shared/CoreIPCSupport"
    "${WEBKIT2_DIR}/Shared/Plugins"
    "${WEBKIT2_DIR}/Shared/Plugins/Netscape"
    "${WEBKIT2_DIR}/Shared/Plugins/Netscape/x11"
    "${WEBKIT2_DIR}/UIProcess"
    "${WEBKIT2_DIR}/UIProcess/API"
    "${WEBKIT2_DIR}/UIProcess/API/C"
    "${WEBKIT2_DIR}/UIProcess/API/cpp"
    "${WEBKIT2_DIR}/UIProcess/Authentication"
    "${WEBKIT2_DIR}/UIProcess/CoordinatedGraphics"
    "${WEBKIT2_DIR}/UIProcess/Downloads"
    "${WEBKIT2_DIR}/UIProcess/Launcher"
    "${WEBKIT2_DIR}/UIProcess/Notifications"
    "${WEBKIT2_DIR}/UIProcess/Plugins"
    "${WEBKIT2_DIR}/WebProcess"
    "${WEBKIT2_DIR}/WebProcess/ApplicationCache"
    "${WEBKIT2_DIR}/WebProcess/Authentication"
    "${WEBKIT2_DIR}/WebProcess/Battery"
    "${WEBKIT2_DIR}/WebProcess/Cookies"
    "${WEBKIT2_DIR}/WebProcess/Downloads"
    "${WEBKIT2_DIR}/WebProcess/FullScreen"
    "${WEBKIT2_DIR}/WebProcess/Geolocation"
    "${WEBKIT2_DIR}/WebProcess/NetworkInfo"
    "${WEBKIT2_DIR}/WebProcess/IconDatabase"
    "${WEBKIT2_DIR}/WebProcess/InjectedBundle"
    "${WEBKIT2_DIR}/WebProcess/InjectedBundle/API"
    "${WEBKIT2_DIR}/WebProcess/InjectedBundle/API/c"
    "${WEBKIT2_DIR}/WebProcess/InjectedBundle/DOM"
    "${WEBKIT2_DIR}/WebProcess/KeyValueStorage"
    "${WEBKIT2_DIR}/WebProcess/Launching"
    "${WEBKIT2_DIR}/WebProcess/MediaCache"
    "${WEBKIT2_DIR}/WebProcess/Notifications"
    "${WEBKIT2_DIR}/WebProcess/ResourceCache"
    "${WEBKIT2_DIR}/WebProcess/Plugins"
    "${WEBKIT2_DIR}/WebProcess/Plugins/Netscape"
    "${WEBKIT2_DIR}/WebProcess/WebCoreSupport"
    "${WEBKIT2_DIR}/WebProcess/WebPage"
    "${WEBKIT2_DIR}/WebProcess/WebPage/CoordinatedGraphics"
    "${WEBCORE_DIR}"
    "${WEBCORE_DIR}/Modules/battery"
    "${WEBCORE_DIR}/Modules/intents"
    "${WEBCORE_DIR}/Modules/networkinfo"
    "${WEBCORE_DIR}/Modules/notifications"
    "${WEBCORE_DIR}/Modules/vibration"
    "${WEBCORE_DIR}/accessibility"
    "${WEBCORE_DIR}/bindings/js"
    "${WEBCORE_DIR}/bindings"
    "${WEBCORE_DIR}/bridge"
    "${WEBCORE_DIR}/bridge/jsc"
    "${WEBCORE_DIR}/css"
    "${WEBCORE_DIR}/dom"
    "${WEBCORE_DIR}/dom/default"
    "${WEBCORE_DIR}/editing"
    "${WEBCORE_DIR}/history"
    "${WEBCORE_DIR}/html"
    "${WEBCORE_DIR}/html/shadow"
    "${WEBCORE_DIR}/html/track"
    "${WEBCORE_DIR}/inspector"
    "${WEBCORE_DIR}/loader"
    "${WEBCORE_DIR}/loader/icon"
    "${WEBCORE_DIR}/loader/cache"
    "${WEBCORE_DIR}/page"
    "${WEBCORE_DIR}/page/animation"
    "${WEBCORE_DIR}/platform"
    "${WEBCORE_DIR}/platform/animation"
    "${WEBCORE_DIR}/platform/graphics"
    "${WEBCORE_DIR}/platform/graphics/filters"
    "${WEBCORE_DIR}/platform/graphics/harfbuzz"
    "${WEBCORE_DIR}/platform/graphics/harfbuzz/ng"
    "${WEBCORE_DIR}/platform/graphics/surfaces"
    "${WEBCORE_DIR}/platform/graphics/texmap"
    "${WEBCORE_DIR}/platform/graphics/transforms"
    "${WEBCORE_DIR}/platform/network"
    "${WEBCORE_DIR}/platform/sql"
    "${WEBCORE_DIR}/platform/text"
    "${WEBCORE_DIR}/plugins"
    "${WEBCORE_DIR}/rendering"
    "${WEBCORE_DIR}/rendering/style"
    "${WEBCORE_DIR}/storage"
    "${WEBCORE_DIR}/svg"
    "${WEBCORE_DIR}/svg/properties"
    "${JAVASCRIPTCORE_DIR}"
    "${JAVASCRIPTCORE_DIR}/ForwardingHeaders"
    "${JAVASCRIPTCORE_DIR}/API"
    "${JAVASCRIPTCORE_DIR}/assembler"
    "${JAVASCRIPTCORE_DIR}/bytecode"
    "${JAVASCRIPTCORE_DIR}/bytecompiler"
    "${JAVASCRIPTCORE_DIR}/collector/handles"
    "${JAVASCRIPTCORE_DIR}/dfg"
    "${JAVASCRIPTCORE_DIR}/disassembler"
    "${JAVASCRIPTCORE_DIR}/heap"
    "${JAVASCRIPTCORE_DIR}/interpreter"
    "${JAVASCRIPTCORE_DIR}/jit"
    "${JAVASCRIPTCORE_DIR}/parser"
    "${JAVASCRIPTCORE_DIR}/profiler"
    "${JAVASCRIPTCORE_DIR}/runtime"
    "${WTF_DIR}"
    "${DERIVED_SOURCES_DIR}"
    "${DERIVED_SOURCES_WEBCORE_DIR}"
    "${DERIVED_SOURCES_WEBKIT2_DIR}"
    "${DERIVED_SOURCES_WEBKIT2_DIR}/include"
    "${CMAKE_BINARY_DIR}"
    "${CMAKE_SOURCE_DIR}/Source"
)

SET(WebKit2_SOURCES
    Platform/Logging.cpp
    Platform/Module.cpp
    Platform/WorkQueue.cpp

    Platform/CoreIPC/ArgumentCoders.cpp
    Platform/CoreIPC/ArgumentDecoder.cpp
    Platform/CoreIPC/ArgumentEncoder.cpp
    Platform/CoreIPC/Attachment.cpp
    Platform/CoreIPC/BinarySemaphore.cpp
    Platform/CoreIPC/Connection.cpp
    Platform/CoreIPC/DataReference.cpp
    Platform/CoreIPC/MessageDecoder.cpp
    Platform/CoreIPC/MessageEncoder.cpp
    Platform/CoreIPC/MessageReceiverMap.cpp
    Platform/CoreIPC/StringReference.cpp

    PluginProcess/PluginControllerProxy.cpp
    PluginProcess/PluginCreationParameters.cpp
    PluginProcess/PluginProcess.cpp
    PluginProcess/WebProcessConnection.cpp

    Shared/APIClientTraits.cpp
    Shared/APIObject.cpp
    Shared/ChildProcess.cpp
    Shared/ConnectionStack.cpp
    Shared/DictionaryPopupInfo.cpp
    Shared/EditorState.cpp
    Shared/FontInfo.cpp
    Shared/ImmutableArray.cpp
    Shared/ImmutableDictionary.cpp
    Shared/IntentData.cpp
    Shared/IntentServiceInfo.cpp
    Shared/MutableArray.cpp
    Shared/MutableDictionary.cpp
    Shared/OriginAndDatabases.cpp
    Shared/PlatformPopupMenuData.cpp
    Shared/PrintInfo.cpp
    Shared/SecurityOriginData.cpp
    Shared/SessionState.cpp
    Shared/ShareableBitmap.cpp
    Shared/ShareableSurface.cpp
    Shared/StatisticsData.cpp
    Shared/SurfaceUpdateInfo.cpp
    Shared/UpdateInfo.cpp
    Shared/VisitedLinkTable.cpp
    Shared/WebBackForwardListItem.cpp
    Shared/WebBatteryStatus.cpp
    Shared/WebConnection.cpp
    Shared/WebConnectionClient.cpp
    Shared/WebContextMenuItem.cpp
    Shared/WebContextMenuItemData.cpp
    Shared/WebCoreArgumentCoders.cpp
    Shared/WebError.cpp
    Shared/WebEvent.cpp
    Shared/WebEventConversion.cpp
    Shared/WebGeolocationPosition.cpp
    Shared/WebGestureEvent.cpp
    Shared/WebGraphicsContext.cpp
    Shared/WebHitTestResult.cpp
    Shared/WebImage.cpp
    Shared/WebIntentServiceInfo.cpp
    Shared/WebKeyboardEvent.cpp
    Shared/WebLayerTreeInfo.cpp
    Shared/WebMemorySampler.cpp
    Shared/WebMouseEvent.cpp
    Shared/WebNetworkInfo.cpp
    Shared/WebOpenPanelParameters.cpp
    Shared/WebPageCreationParameters.cpp
    Shared/WebPageGroupData.cpp
    Shared/WebPlatformTouchPoint.cpp
    Shared/WebPopupItem.cpp
    Shared/WebPreferencesStore.cpp
    Shared/WebProcessCreationParameters.cpp
    Shared/WebRenderLayer.cpp
    Shared/WebRenderObject.cpp
    Shared/WebTouchEvent.cpp
    Shared/WebURLRequest.cpp
    Shared/WebURLResponse.cpp
    Shared/WebWheelEvent.cpp

    Shared/API/c/WKArray.cpp
    Shared/API/c/WKCertificateInfo.cpp
    Shared/API/c/WKConnectionRef.cpp
    Shared/API/c/WKContextMenuItem.cpp
    Shared/API/c/WKData.cpp
    Shared/API/c/WKDictionary.cpp
    Shared/API/c/WKError.cpp
    Shared/API/c/WKGeometry.cpp
    Shared/API/c/WKGraphicsContext.cpp
    Shared/API/c/WKImage.cpp
    Shared/API/c/WKMutableArray.cpp
    Shared/API/c/WKMutableDictionary.cpp
    Shared/API/c/WKNumber.cpp
    Shared/API/c/WKRenderLayer.cpp
    Shared/API/c/WKRenderObject.cpp
    Shared/API/c/WKSecurityOrigin.cpp
    Shared/API/c/WKSerializedScriptValue.cpp
    Shared/API/c/WKString.cpp
    Shared/API/c/WKType.cpp
    Shared/API/c/WKURL.cpp
    Shared/API/c/WKURLRequest.cpp
    Shared/API/c/WKURLResponse.cpp
    Shared/API/c/WKUserContentURLPattern.cpp

    Shared/CoordinatedGraphics/CoordinatedGraphicsArgumentCoders.cpp
    Shared/CoordinatedGraphics/WebCustomFilterProgramProxy.cpp

    Shared/Plugins/NPIdentifierData.cpp
    Shared/Plugins/NPObjectMessageReceiver.cpp
    Shared/Plugins/NPObjectProxy.cpp
    Shared/Plugins/NPRemoteObjectMap.cpp
    Shared/Plugins/NPVariantData.cpp
    Shared/Plugins/PluginModuleInfo.cpp
    Shared/Plugins/PluginProcessCreationParameters.cpp

    Shared/Plugins/Netscape/NetscapePluginModule.cpp
    Shared/Plugins/Netscape/NetscapePluginModuleNone.cpp

    UIProcess/BackingStore.cpp
    UIProcess/DrawingAreaProxy.cpp
    UIProcess/DrawingAreaProxyImpl.cpp
    UIProcess/FindIndicator.cpp
    UIProcess/GeolocationPermissionRequestManagerProxy.cpp
    UIProcess/GeolocationPermissionRequestProxy.cpp

    UIProcess/PageViewportController.cpp
    UIProcess/ResponsivenessTimer.cpp
    UIProcess/VisitedLinkProvider.cpp
    UIProcess/WebApplicationCacheManagerProxy.cpp
    UIProcess/WebBackForwardList.cpp
    UIProcess/WebBatteryManagerProxy.cpp
    UIProcess/WebBatteryProvider.cpp
    UIProcess/WebColorChooserProxy.cpp
    UIProcess/WebColorPickerResultListenerProxy.cpp
    UIProcess/WebConnectionToWebProcess.cpp
    UIProcess/WebContext.cpp
    UIProcess/WebContextConnectionClient.cpp
    UIProcess/WebContextInjectedBundleClient.cpp
    UIProcess/WebContextMenuProxy.cpp
    UIProcess/WebCookieManagerProxy.cpp
    UIProcess/WebCookieManagerProxyClient.cpp
    UIProcess/WebDatabaseManagerProxy.cpp
    UIProcess/WebDatabaseManagerProxyClient.cpp
    UIProcess/WebDownloadClient.cpp
    UIProcess/WebEditCommandProxy.cpp
    UIProcess/WebFindClient.cpp
    UIProcess/WebFormClient.cpp
    UIProcess/WebFormSubmissionListenerProxy.cpp
    UIProcess/WebFrameListenerProxy.cpp
    UIProcess/WebFramePolicyListenerProxy.cpp
    UIProcess/WebFrameProxy.cpp
    UIProcess/WebFullScreenManagerProxy.cpp
    UIProcess/WebGeolocationManagerProxy.cpp
    UIProcess/WebGeolocationProvider.cpp
    UIProcess/WebGrammarDetail.cpp
    UIProcess/WebHistoryClient.cpp
    UIProcess/WebIconDatabase.cpp
    UIProcess/WebIconDatabaseClient.cpp
    UIProcess/WebInspectorProxy.cpp
    UIProcess/WebIntentData.cpp
    UIProcess/WebKeyValueStorageManagerProxy.cpp

    UIProcess/WebLoaderClient.cpp
    UIProcess/WebMediaCacheManagerProxy.cpp
    UIProcess/WebNavigationData.cpp
    UIProcess/WebNetworkInfoManagerProxy.cpp
    UIProcess/WebNetworkInfoProvider.cpp
    UIProcess/WebOpenPanelResultListenerProxy.cpp
    UIProcess/WebPageContextMenuClient.cpp
    UIProcess/WebPageGroup.cpp
    UIProcess/WebPageProxy.cpp
    UIProcess/WebPolicyClient.cpp
    UIProcess/WebPreferences.cpp
    UIProcess/WebProcessProxy.cpp
    UIProcess/WebResourceCacheManagerProxy.cpp
    UIProcess/WebResourceLoadClient.cpp
    UIProcess/WebTextChecker.cpp
    UIProcess/WebTextCheckerClient.cpp
    UIProcess/WebUIClient.cpp
    UIProcess/WebVibrationProvider.cpp
    UIProcess/WebVibrationProxy.cpp

    UIProcess/API/C/WKApplicationCacheManager.cpp
    UIProcess/API/C/WKAuthenticationChallenge.cpp
    UIProcess/API/C/WKAuthenticationDecisionListener.cpp
    UIProcess/API/C/WKBackForwardList.cpp
    UIProcess/API/C/WKBackForwardListItem.cpp
    UIProcess/API/C/WKBatteryManager.cpp
    UIProcess/API/C/WKBatteryStatus.cpp
    UIProcess/API/C/WKColorPickerResultListener.cpp
    UIProcess/API/C/WKContext.cpp
    UIProcess/API/C/WKCookieManager.cpp
    UIProcess/API/C/WKCredential.cpp
    UIProcess/API/C/WKDatabaseManager.cpp
    UIProcess/API/C/WKDownload.cpp
    UIProcess/API/C/WKFormSubmissionListener.cpp
    UIProcess/API/C/WKFrame.cpp
    UIProcess/API/C/WKFramePolicyListener.cpp
    UIProcess/API/C/WKGeolocationManager.cpp
    UIProcess/API/C/WKGeolocationPermissionRequest.cpp
    UIProcess/API/C/WKGeolocationPosition.cpp
    UIProcess/API/C/WKGrammarDetail.cpp
    UIProcess/API/C/WKHitTestResult.cpp
    UIProcess/API/C/WKIconDatabase.cpp
    UIProcess/API/C/WKInspector.cpp
    UIProcess/API/C/WKIntentData.cpp
    UIProcess/API/C/WKIntentServiceInfo.cpp
    UIProcess/API/C/WKKeyValueStorageManager.cpp
    UIProcess/API/C/WKMediaCacheManager.cpp
    UIProcess/API/C/WKNavigationData.cpp
    UIProcess/API/C/WKNetworkInfo.cpp
    UIProcess/API/C/WKNetworkInfoManager.cpp
    UIProcess/API/C/WKNotification.cpp
    UIProcess/API/C/WKNotificationManager.cpp
    UIProcess/API/C/WKNotificationPermissionRequest.cpp

=== Tools/EWebLauncher/CMakeLists.txt ===
SET(EWebLauncher_SOURCES
    ${TOOLS_DIR}/EWebLauncher/url_bar.c
    ${TOOLS_DIR}/EWebLauncher/url_utils.c
    ${TOOLS_DIR}/EWebLauncher/main.c
)

SET(EWebLauncher_LIBRARIES
    ${JavaScriptCore_LIBRARY_NAME}
    ${WebCore_LIBRARY_NAME}
    ${WebKit_LIBRARY_NAME}
    ${CAIRO_LIBRARIES}
    ${ECORE_LIBRARIES}
    ${ECORE_EVAS_LIBRARIES}
    ${ECORE_FILE_LIBRARIES}
    ${ECORE_X_LIBRARIES}
    ${EDJE_LIBRARIES}
    ${EINA_LIBRARIES}
    ${EVAS_LIBRARIES}
    ${LIBXML2_LIBRARIES}
    ${LIBXSLT_LIBRARIES}
    ${SQLITE_LIBRARIES}
    ${GLIB_LIBRARIES}
    ${LIBSOUP_LIBRARIES}
)

SET(EWebLauncher_INCLUDE_DIRECTORIES
    "${WEBKIT_DIR}/efl/ewk"
    ${CAIRO_INCLUDE_DIRS}
    ${ECORE_INCLUDE_DIRS}
    ${ECORE_EVAS_INCLUDE_DIRS}
    ${ECORE_FILE_INCLUDE_DIRS}
    ${ECORE_X_INCLUDE_DIRS}
    ${EDJE_INCLUDE_DIRS}
    ${EINA_INCLUDE_DIRS}
    ${EVAS_INCLUDE_DIRS}
    ${GLIB_INCLUDE_DIRS}
    ${LIBSOUP_INCLUDE_DIRS}
)

ADD_DEFINITIONS(-DTHEME_DIR=\"${THEME_BINARY_DIR}\")

INCLUDE_DIRECTORIES(${EWebLauncher_INCLUDE_DIRECTORIES})
ADD_EXECUTABLE(EWebLauncher ${EWebLauncher_SOURCES})
TARGET_LINK_LIBRARIES(EWebLauncher ${EWebLauncher_LIBRARIES})
SET_TARGET_PROPERTIES(EWebLauncher PROPERTIES FOLDER "Tools")

ADD_DEPENDENCIES(EWebLauncher ControlTheme)

=== Tools/WinCELauncher/CMakeLists.txt ===
SET(WinCELauncher_INCLUDE_DIRECTORIES
    "${WEBKIT_DIR}/wince"
    "${WEBCORE_DIR}"
    "${WEBCORE_DIR}/platform"
    "${WEBCORE_DIR}/platform/graphics"
    "${WEBCORE_DIR}/platform/network"
    "${WEBCORE_DIR}/platform/text"
    "${JAVASCRIPTCORE_DIR}"
    "${WTF_DIR}"
    "${DERIVED_SOURCES_DIR}"
    "${CMAKE_BINARY_DIR}"
)

SET(WinCELauncher_SOURCES
    ${TOOLS_DIR}/WinCELauncher/main.cpp
)

SET(WinCELauncher_LIBRARIES
    ${WebKit_LIBRARY_NAME}
)

INCLUDE_DIRECTORIES(${WinCELauncher_INCLUDE_DIRECTORIES})
ADD_EXECUTABLE(WinCELauncher ${WinCELauncher_SOURCES})
ADD_DEPENDENCIES(WinCELauncher ${WebKit_LIBRARY_NAME})
TARGET_LINK_LIBRARIES(WinCELauncher ${WinCELauncher_LIBRARIES})
SET_TARGET_PROPERTIES(WinCELauncher PROPERTIES FOLDER "Tools")
SET_TARGET_PROPERTIES(WinCELauncher PROPERTIES RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}")

=== Source/JavaScriptCore/shell/CMakeLists.txt ===
SET(JSC_SOURCES
    ../jsc.cpp
)

SET(JSC_LIBRARIES
    ${WTF_LIBRARY_NAME}
    ${JavaScriptCore_LIBRARY_NAME}
)

IF ("${JavaScriptCore_LIBRARY_TYPE}" MATCHES "STATIC")
    ADD_DEFINITIONS(-DSTATICALLY_LINKED_WITH_JavaScriptCore)
ENDIF ()

WEBKIT_INCLUDE_CONFIG_FILES_IF_EXISTS()

WEBKIT_WRAP_SOURCELIST(${JSC_SOURCES})
INCLUDE_DIRECTORIES(./ ${JavaScriptCore_INCLUDE_DIRECTORIES})
ADD_EXECUTABLE(${JSC_EXECUTABLE_NAME} ${JSC_SOURCES})
TARGET_LINK_LIBRARIES(${JSC_EXECUTABLE_NAME} ${JSC_LIBRARIES})
SET_TARGET_PROPERTIES(${JSC_EXECUTABLE_NAME} PROPERTIES FOLDER "JavaScriptCore")

IF (JSC_LINK_FLAGS)
    ADD_TARGET_PROPERTIES(${JSC_EXECUTABLE_NAME} LINK_FLAGS "${JSC_LINK_FLAGS}")
ENDIF ()

IF (SHOULD_INSTALL_JS_SHELL)
    INSTALL(TARGETS ${JSC_EXECUTABLE_NAME} DESTINATION "${EXEC_INSTALL_DIR}")
ENDIF ()

=== Tools/BuildSlaveSupport/build.webkit.org-config/Makefile ===
# -*- makefile -*-

# This is a simple makefile which lives in a buildmaster/buildslave
# directory (next to the buildbot.tac file). It allows you to start/stop the
# master or slave by doing 'make start' or 'make stop'.

# The 'reconfig' target will tell a buildmaster to reload its config file.

start:
	/opt/local/bin/twistd2.5 --no_save -y buildbot.tac

stop:
	kill `cat twistd.pid`

reconfig:
	kill -HUP `cat twistd.pid`

log:
	tail -f twistd.log

=== Tools/MiniBrowser/efl/CMakeLists.txt ===
SET(MiniBrowser_DIR "${TOOLS_DIR}/MiniBrowser/efl")

SET(MiniBrowser_SOURCES
    ${TOOLS_DIR}/EWebLauncher/url_utils.c
    ${MiniBrowser_DIR}/main.c
)

SET(MiniBrowser_INCLUDE_DIRECTORIES
    ${CAIRO_INCLUDE_DIRS}
    ${ECORE_INCLUDE_DIRS}
    ${ECORE_EVAS_INCLUDE_DIRS}
    ${ECORE_FILE_INCLUDE_DIRS}
    ${EDJE_INCLUDE_DIRS}
    ${EET_INCLUDE_DIRS}
    ${DBUS_INCLUDE_DIRS}
    ${E_DBUS_INCLUDE_DIRS}
    ${EFREET_INCLUDE_DIRS}
    ${EINA_INCLUDE_DIRS}
    ${ELEMENTARY_INCLUDE_DIRS}
    ${EVAS_INCLUDE_DIRS}
    ${TOOLS_DIR}/EWebLauncher
    ${WEBKIT2_DIR}/UIProcess/API/efl
    ${WEBKIT2_DIR}
    ${CMAKE_SOURCE_DIR}/Source
)

SET(MiniBrowser_LIBRARIES
    ${JavaScriptCore_LIBRARY_NAME}
    ${WebCore_LIBRARY_NAME}
    ${WebKit2_LIBRARY_NAME}
    ${CAIRO_LIBRARIES}
    ${ECORE_LIBRARIES}
    ${ECORE_EVAS_LIBRARIES}
    ${ECORE_FILE_LIBRARIES}
    ${EDJE_LIBRARIES}
    ${EINA_LIBRARIES}
    ${ELEMENTARY_LIBRARIES}
    ${EVAS_LIBRARIES}
    ${FONTCONFIG_LIBRARIES}
    ${LIBSOUP_LIBRARIES}
    ${LIBXML2_LIBRARIES}
    ${LIBXSLT_LIBRARIES}
    ${OPENGL_LIBRARIES}
    ${SQLITE_LIBRARIES}
)

IF (ENABLE_GLIB_SUPPORT)
    LIST(APPEND MiniBrowser_LIBRARIES
        ${GLIB_LIBRARIES}
        ${GLIB_GTHREAD_LIBRARIES}
    )
ENDIF ()

ADD_DEFINITIONS(-DTHEME_DIR=\"${THEME_BINARY_DIR}\")

INCLUDE_DIRECTORIES(${MiniBrowser_INCLUDE_DIRECTORIES})

ADD_EXECUTABLE(MiniBrowser ${MiniBrowser_SOURCES})
TARGET_LINK_LIBRARIES(MiniBrowser ${MiniBrowser_LIBRARIES})
SET_TARGET_PROPERTIES(MiniBrowser PROPERTIES FOLDER "Tools")

## qtwebkit-opensource-src 5.0.1

=== debian/changelog ===
qtwebkit-opensource-src (5.0.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control:
    - Add missing Pre-Depends for xz compression
    - Rename packages by appending the major version
    - Depend on system png/jpeg libraries
    - Depend on qtsensors5-dev and qtlocation5-dev
  * debian/*.install:
    - Adjust to the new version and library renames
  * debian/rules:
    - Remove .la files
    - Remove rpath from QtWebProcess/QtWebPluginProcess
  * debian/copyright:
    - Fix invalid UTF-8
  * Drop patches:
    - 01_lflags_as-needed.diff
    - 02_add_nostrip_for_debug_packages.diff
    - 03_hide_std_symbols.diff
    - 04_enable_debug_information.diff
    - Fix_build_with_GLib_2.31_changeset_r97269.patch
    - defines_qt_webkit.diff
    - glibc_hurd_mkspecs.diff
    - linux_amd64_no_overcommit.diff
    - upstream_changeset_r113848.diff
    - upstream_changeset_r93631.diff
  * Update patches:
    - 05_sparc_unaligned_access.diff
    - hurd.diff
    - no_gc_sections.diff (add i386/i686)
    - stabs_format_debug_info.diff (add i386/i686)
    - webkit_qt_hide_symbols.diff
  * Add patch:
    - disable_geolocation_501.diff (build failure)
    - save_memory.diff (try to conserve even more memory on arm)
  * Add Ubuntu specific patch:
    - devicePixelResolution.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 06 Feb 2013 12:30:39 +0000

qtwebkit (2.2.1-5) unstable; urgency=low

  * Team upload.
  * Re upload the package to fix the M-A uninstallability due to a binNMU
    (Closes: #676162).
  * This upload will get rebuilt with xz compression (Closes: #687036).
    Thanks Ansgar Burchardt for the patch.
  * Rewrite debian/copyright to DEP-5 (Closes: #673268).
    Thanks Elena ``of Valhalla'' Grandi and Tobias Bengfort.
    The current copyright is *huge*: 12637 lines. I have reviewed it but
    there still could be errors.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 18 Nov 2012 18:01:12 -0300

qtwebkit (2.2.1-4) unstable; urgency=high

  * Confirm new symbol file on all arches except armel and mipsel. However,
    hopefully, it will work on those two as well.
  * Urgency=high because we need multi-arch capable QtWebKit in testing as
    multi-arch Qt4 and non-multiarch QtWebKit do not play well for development
    purposes.

 -- Modestas Vainius <modax@debian.org>  Sun, 13 May 2012 12:24:37 +0300

qtwebkit (2.2.1-3) unstable; urgency=low

  * Build Source/WebCore/generated/* with hidden visibility as well (patch
    webkit_qt_hide_symbols.diff). This reduces a symbol file a lot and brings
    it back to manageable state.
  * Update symbol file: a bunch of private WebCore symbols are gone from
    symbol table now.

 -- Modestas Vainius <modax@debian.org>  Sat, 12 May 2012 20:58:34 +0300

qtwebkit (2.2.1-2) unstable; urgency=low

  * Upload to Sid.

  [ Fathi Boudra ]
  * Build with -gstabs on armhf instead of -g, like armel.

  [ Pino Toscano ]
  * glibc_mkspec.diff: rename to glibc_hurd_mkspecs.diff, and extend to
    apply also to the hurd-g++ mkspec.
  * Bump Qt build dependency to 4:4.8.1 (for the change in paths of QML
    imports).
    - update debian/libqtwebkit-qmlwebkitplugin.install accordingly
    - mark libqtwebkit-qmlwebkitplugin as Multi-Arch: same
  * Remove ${shlibs:Depends} from libqtwebkit4-dbg.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 May 2012 15:07:39 +0300

qtwebkit (2.2.1-1) experimental; urgency=low

  * New upstream release.
  * Drop adjust_symbols_visibility_for_webcore.diff - stolen upstream.
  * Update debian/compat: bump to 9.
  * Update debian/control:
    - bump Qt build dependency to 4:4.8.0~. This version introduce multiarch.
    - add Multi-Arch and Pre-Depends fields to libqtwebkit4 package.
  * Update debian/*.install files for multiarch.

 -- Fathi Boudra <fabo@debian.org>  Wed, 28 Dec 2011 10:10:59 +0200

qtwebkit (2.2.0-5) unstable; urgency=low

  * Update symbol file with the latest changes from the build logs.
  * Mark a bunch of other internal WebCore namespace symbols as
    optional=private.
  * Mark some external symbols as optional=external.

 -- Modestas Vainius <modax@debian.org>  Mon, 16 Apr 2012 23:35:59 +0300

qtwebkit (2.2.0-4) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Add -Wl,--no-relax to the LDFLAGS on alpha. (Closes: #656056)
  * Update the symbols file for alpha, armhf and ppc64, and for all the other
    archs from their build logs. (Closes: #653905, #656056, #664897)
  * Backport (parts of) upstream r93631 and r113848 to fix building with
    GCC 4.7. (Closes: #667346)

  [ Felix Geyer ]
  * Add Fix_build_with_GLib_2.31_changeset_r97269.patch, cherry-picked from
    upstream. (Closes: #665679)
  * Bump debhelper compat level to v9.
    - Use DEB_<flag>_MAINT variables instead of manipulating the flag variables
      directly.
  * Bump Standards-Version to 3.9.3, no changes needed.

  [ Modestas Vainius ]
  * Mark symbols having 'Private' in their name as optional=private.
  * Mark '^ _ZN7WebCore' symbols as optional=private. They are not part of
    public API.

 -- Modestas Vainius <modax@debian.org>  Sun, 15 Apr 2012 21:16:49 +0300

qtwebkit (2.2.0-3) unstable; urgency=low

  [ Fathi Boudra ]
  * Update the symbols file for ia64 and mipsel architectures.

  [ Pino Toscano ]
  * Add patch hurd.diff to temporarly workaround build failure on Hurd.
  * Update the symbols file for hurd-i386, sh4, and sparc64 architectures.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 28 Dec 2011 10:10:59 +0200

qtwebkit (2.2.0-2) unstable; urgency=low

  [ Pino Toscano ]
  * Improve the symbols file for more archs (based on their build logs):
    armel ia64 kfreebsd-amd64 kfreebsd-i386 mips powerpc s390 s390x sparc

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 25 Dec 2011 21:46:36 +0100

qtwebkit (2.2.0-1) unstable; urgency=low

  * New upstream release:


=== debian/control ===
Source: qtwebkit-opensource-src
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               flex,
               bison,
               gperf,
               python-minimal,
               python2.7,
               ruby,
               libgstreamer0.10-dev, 
               libgstreamer-plugins-base0.10-dev,
               libicu-dev,
               libsqlite3-dev,
               libxml2-dev,
               mesa-common-dev,
               libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
               libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
               libglib2.0-dev,
               libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
               libxrender-dev,
               libxslt1-dev,
               qt5-default,
               libqt5xmlpatterns5-private-dev,
               qtbase5-private-dev,
               libqt5opengl5-dev,
               libqt5v8-5-private-dev,
               qtscript5-private-dev,
               qtdeclarative5-private-dev,
               pkg-config,
               pkg-kde-tools (>= 0.6.4),
               chrpath,
               libpng12-dev,
               libjpeg-dev,
               libfontconfig1-dev,
               qtsensors5-dev,
               qtlocation5-dev,
Standards-Version: 3.9.4
Section: libs
Homepage: http://trac.webkit.org/wiki/QtWebKit

Package: libqt5webkit5-dev
Section: libdevel
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: qtbase5-dev (>= 5),
         libqt5webkit5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Web content engine library for Qt - development files
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 4 applications
 using QtWebKit library.

Package: libqt5webkit5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Web content engine library for Qt
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.

Package: libqt5webkit5-qmlwebkitplugin
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt WebKit QML plugin
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the WebKit QML plugin for QtDeclarative.

Package: libqt5webkit5-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqt5webkit5 (= ${binary:Version}), ${misc:Depends}
Description: Web content engine library for Qt - debugging symbols
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the debugging symbols for the Qt WebKit library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# Filter -g from environment on troublesome arches. Replace it with -gstabs
# See also: stabs_format_debug_info.diff
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter $(DEB_HOST_ARCH),s390 s390x armel armhf mips mipsel))
    export DEB_CFLAGS_MAINT_STRIP := -g
    export DEB_CFLAGS_MAINT_APPEND := -gstabs
    export DEB_CXXFLAGS_MAINT_STRIP := -g
    export DEB_CXXFLAGS_MAINT_APPEND := -gstabs
endif
ifneq (,$(filter $(DEB_HOST_ARCH),alpha))
    export DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-relax
endif

%:
	dh $@ --parallel --list-missing --dbg-package=libqt5webkit5-dbg --with pkgkde_symbolshelper

override_dh_auto_configure:
	qmake

override_dh_auto_install:
	make install INSTALL_ROOT=$(CURDIR)/debian/tmp
	
	# Remove rpath from the offending binaries
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*/qt5/libexec/QtWebProcess
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*/qt5/libexec/QtWebPluginProcess
	
	# Remove la files (http://wiki.debian.org/ReleaseGoals/LAFileRemoval)
	rm -f debian/tmp/usr/lib/*/*.la

override_dh_builddeb:
	dh_builddeb -- -Zxz

## qtwebkit-opensource-src 5.1.1

=== debian/changelog ===
qtwebkit-opensource-src (5.1.1-1ubuntu8) trusty; urgency=medium

  * Copy dont_pollute_pri_and_pc_with_private_deps.patch from Debian
    (LP: #1134745).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 19 Mar 2014 14:07:02 +0400

qtwebkit-opensource-src (5.1.1-1ubuntu7) trusty; urgency=medium

  * Backport upstream patch to add AArch64 support.
  * Add a patch to disable JIT and YARR JIT when they are not needed.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 15 Mar 2014 11:43:38 +0400

qtwebkit-opensource-src (5.1.1-1ubuntu6) trusty; urgency=medium

  * Rebuild in correct landing PPA.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 13 Mar 2014 19:04:22 +0000

qtwebkit-opensource-src (5.1.1-1ubuntu5) trusty; urgency=medium

  * Backporting fixes from QtWebKit 5.2 and rebuilding against the
    Qt 5.2 stack (avoid regressions with QtWebKit 5.2 on Touch)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 13 Mar 2014 00:37:53 -0300

qtwebkit-opensource-src (5.1.1-1ubuntu4) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 08:32:20 +0000

qtwebkit-opensource-src (5.1.1-1ubuntu3) trusty; urgency=medium

  * Cherrypick patch from upstream/qt/webkit/ANGLE to fix FTBFS with bison
    3.0.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Dec 2013 14:26:17 +0000

qtwebkit-opensource-src (5.1.1-1ubuntu2) saucy; urgency=low

  * Drop libwebp-dev dependency and disable it, not in main.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 19 Sep 2013 16:18:00 +0300

qtwebkit-opensource-src (5.1.1-1ubuntu1) saucy; urgency=low

  [ Loïc Minier ]
  * FFE is LP: #1219695.

  [ Timo Jyrinki ]
  * New upstream release
  * Drop patches now in upstream:
    - fixTriggerOSKonWebPages.patch
    - fix_gcc48.patch
    - add_module_version.patch
    - DidFirstLayout.patch
  * Drop disable_geolocation_501.diff, builds again fine with the support
  * Refresh no_gc_sections.diff and LLIntCLoop32BigEndian.patch
  * Fix watch file
  * Sync with Debian 5.1.1-1, remaining changes:
    - Build-depend on qtsensors and qtlocation
    - Keep the LLIntCLoop32BigEndian, file_access patches
    - Keep private headers
    - Keep workaround for a upstream dependency problem
  * Enable JIT again on armhf (drop disabling_jit_for_arm.patch)
  * debian/patches/bug_118860_qtwebkit_511.patch
    - Add isMainFrame property (LP: #1217683)

  [ Ricardo Salveti de Araujo ]
  * Refresh add_experimentalDevicePixelRatio.patch based on latest changes
    from upstream
  * debian/patches/gstreamer-build-issue-gst10.patch:
    - Fixing build issue with gstreamer 1.0 as fullscreen window is not yet
      support but it gets used via moc
  * debian/control:
    - Changing qt build-deps to depend on >= 5.0.2
    - Build-dep on gstreamer-1.0 instead of 0.10

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 19 Sep 2013 14:47:16 +0200

qtwebkit-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.
  * Tighten Qt 5 build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 01 Sep 2013 14:22:55 -0300

qtwebkit-opensource-src (5.1.0-2) unstable; urgency=low

  * Upload to unstable.
  * Make m68k build with -gstabs instead of -g (Closes: #717686).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 12 Aug 2013 01:00:32 -0300

qtwebkit-opensource-src (5.1.0-1) experimental; urgency=low

  * New upstream release.
  * Fix watch file.
  * Bump Qt build depends to 5.1.0~.
  * Refresh pacthes.
  * Update symbols file.
  * Update install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 15 Jul 2013 12:16:00 -0300

qtwebkit-opensource-src (5.0.2-3) experimental; urgency=low

  * Update symbols file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Jun 2013 22:10:41 -0300

qtwebkit-opensource-src (5.0.2-2) experimental; urgency=low

  [ Timo Jyrinki ]
  * Drop save_memory.diff, not useful in its current form.
  * Set DEB_HOST_MULTIARCH in rules.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files.
  * Build the documentation shipped with this submodule as a build-indep task:
    - Add the necessary indep build dependencies:
      * qttools5-dev-tools to use qhelpgenerator.
      * libqt5sql5-sqlite to generate qch doc.
    - Build and create packages for qch and HTML doc formats.
  * Make the debug package also Multi-Arch: same.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 16 Jun 2013 23:46:10 -0300

qtwebkit-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 19 May 2013 15:37:43 -0300

qtwebkit-opensource-src (5.0.1-0ubuntu6) saucy; urgency=low

  * Don't remove private headers before trying to install them

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 15 Jul 2013 13:22:42 +0200

qtwebkit-opensource-src (5.0.1-0ubuntu5) saucy; urgency=low

  * Reship previous removed headers, they are needed by browser-app

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 15 Jul 2013 12:07:31 +0200

qtwebkit-opensource-src (5.0.1-0ubuntu4) saucy; urgency=low

  [ Dmitry Shachnev ]
  * Cherry-pick some changes from Debian experimental:
    + Export QT_SELECT instead of build-depending on qt5-default.
    + Do not install private headers.
    + Set DEB_HOST_MULTIARCH in rules.
    + Build the documentation shipped with this submodule as a build-indep task:
      - Add the necessary indep build dependencies:
        * qttools5-dev-tools to use qhelpgenerator.
        * libqt5sql5-sqlite to generate qch doc.
    + Build and create packages for qch and HTML doc formats.

  [ Timo Jyrinki ]
  * Build with g++-4.7 on armhf to prevent FTBFS.
  * Remove private headers also from libqt5webkit5-dev.install

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jul 2013 08:52:53 +0300

qtwebkit-opensource-src (5.0.1-0ubuntu3) saucy; urgency=low



=== debian/control ===
Source: qtwebkit-opensource-src
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               flex,
               bison,
               gperf,
               python-minimal,
               python2.7,
               ruby,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libicu-dev,
               libsqlite3-dev,
               libxml2-dev,
               mesa-common-dev,
               libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
               libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
               libglib2.0-dev,
               libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
               libxrender-dev,
               libxslt1-dev,
               libqt5xmlpatterns5-private-dev (>= 5.0.2),
               qtbase5-private-dev (>= 5.0.2),
               libqt5opengl5-dev (>= 5.0.2),
               qtscript5-private-dev (>= 5.0.2),
               qtdeclarative5-private-dev (>= 5.0.2),
               pkg-config,
               pkg-kde-tools (>= 0.6.4),
               chrpath,
               libpng-dev,
               libjpeg-dev,
               libfontconfig1-dev,
               libxcomposite-dev,
               qtsensors5-dev,
               qtlocation5-dev,
Build-Depends-Indep: libqt5sql5-sqlite,
                     qttools5-dev-tools (>= 5.0.2)
Standards-Version: 3.9.4
Section: libs
Homepage: http://trac.webkit.org/wiki/QtWebKit
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qt5webkit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qt5webkit.git;a=summary
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtwebkit-opensource-src

Package: libqt5webkit5-dev
Section: libdevel
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: qtbase5-dev,
         libqt5webkit5 (= ${binary:Version}),
         ${misc:Depends},
         libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
         libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
         libgstreamer-plugins-base1.0-dev,
         libqt5opengl5-dev,
         libxslt1-dev,
         qtlocation5-dev,
         qtsensors5-dev,
Description: Web content engine library for Qt - development files
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 5 applications
 using QtWebKit library.

Package: libqt5webkit5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Web content engine library for Qt
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the QtWebKit libraries.

Package: libqt5webkit5-qmlwebkitplugin
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt WebKit QML plugin
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the WebKit QML plugin for QtDeclarative.

Package: libqt5webkit5-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends: libqt5webkit5 (= ${binary:Version}), ${misc:Depends}
Description: Web content engine library for Qt - debugging symbols
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the debugging symbols for the Qt WebKit library.

Package: qtwebkit5-doc
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 webkit documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 webkit libraries.

Package: qtwebkit5-doc-html
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 webkit HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 webkit
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

# Filter -g from environment on troublesome arches. Replace it with -gstabs
# See also: stabs_format_debug_info.diff
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ifneq (,$(filter $(DEB_HOST_ARCH),s390 s390x armel armhf mips mipsel m68k))
    export DEB_CFLAGS_MAINT_STRIP := -g
    export DEB_CFLAGS_MAINT_APPEND := -gstabs
    export DEB_CXXFLAGS_MAINT_STRIP := -g
    export DEB_CXXFLAGS_MAINT_APPEND := -gstabs
endif
ifneq (,$(filter $(DEB_HOST_ARCH),alpha))
    export DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-relax
endif

%:
	dh $@ --parallel --dbg-package=libqt5webkit5-dbg --with pkgkde_symbolshelper

override_dh_auto_configure:
	qmake WEBKIT_CONFIG-=use_webp

override_dh_auto_build-arch:
	# This override may seem futile, but it helps us make sure that the tools
	# needed for building the docs are built before calling them.
	# If there's a better way, do not heasitate to tell us.
	dh_auto_build

override_dh_auto_build-indep:
	dh_auto_build -Smakefile -- docs

override_dh_auto_install-arch:
	make install INSTALL_ROOT=$(CURDIR)/debian/tmp
	
	# Remove rpath from the offending binaries
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/libexec/QtWebProcess
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/libexec/QtWebPluginProcess
	
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
	
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_install:
	dh_install --fail-missing

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtwebkit-opensource-src-([^-]*)\.tar.xz
